Name:		arpwatch
Version:	2.1a6
Release:	12mdk
# Gee...
Serial:		2
Group:		Monitoring
BuildRequires: libpcap-devel
Copyright:	BSD
Source:		arpwatch-2.1a6.tar.bz2
Source1:	arpwatch.init.bz2
Patch:		arpwatch-Makefile-fixes.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary: 	Network monitoring tools for tracking IP addresses on the network.

%description
The arpwatch package contains arpwatch and arpsnmp.  Arpwatch and arpsnmp
are both network monitoring tools.  Both utilities monitor Ethernet or
FDDI network traffic and build databases of Ethernet/IP address pairs,
and can report certain changes via email.

Install the arpwatch package if you need networking monitoring devices
which will automatically keep traffic of the IP addresses on your
network.

%prep
%setup -q
%patch -p1

%build
libtoolize --copy --force
%configure

%__make ARPDIR=/var/arpwatch

%install
mkdir -p $RPM_BUILD_ROOT/{var/arpwatch,%{_sbindir},%{_mandir}/man8,%{_initrddir}}

%__make DESTDIR=$RPM_BUILD_ROOT install install-man

for n in arp2ethers massagevendor; do
	install -m755 $n $RPM_BUILD_ROOT/var/arpwatch
done
for n in *.awk *.dat; do
	install -m644 $n $RPM_BUILD_ROOT/var/arpwatch
done

bzcat %{SOURCE1} >  $RPM_BUILD_ROOT%{_initrddir}/arpwatch

%clean
rm -Rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add arpwatch

%preun
if [ "$1" = "0" ]; then
/sbin/chkconfig --del arpwatch
fi

%files
%defattr(-,root,root)
%doc README CHANGES
%{_sbindir}/*
%{_mandir}/man*/*
%attr(755,root,root) %{_initrddir}/arpwatch
%dir	/var/arpwatch
%config(noreplace) /var/arpwatch/arp.dat
%config /var/arpwatch/ethercodes.dat
/var/arpwatch/*.awk
/var/arpwatch/arp2ethers
/var/arpwatch/massagevendor

%changelog

* Wed Aug 30 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-12mdk

- Use %{_initrddir}
- Oops, fixed %preun

* Tue Aug 22 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-11mdk

- /var/arpwatch/arp.dat is %config(noreplace)
- Added %post and %preun for chkconfig

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1a6-10mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-9mdk

- s,tmpdir,tmppath,


* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-8mdk

- Split to its own source package
- BM

